#
# spec file for package yast2-fcoe-client
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-fcoe-client
Version:        4.3.1
Release:        150300.3.3.1
Summary:        YaST2 - Configuration of Fibre Channel over Ethernet
License:        GPL-2.0-only
Group:          System/YaST
URL:            https://github.com/yast/yast-fcoe-client

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)

# Yast2::Systemd::Service
Requires:       fcoe-utils
Requires:       yast2 >= 4.1.3
Requires:       yast2-ruby-bindings >= 1.0.0

Supplements:    autoyast(fcoe-client)

BuildArch:      noarch

%description
This package contains the YaST2 component for the Fibre Channel over
Ethernet (FCoE) configuration.

%prep
%setup -q

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%doc %{yast_docdir}
%{yast_icondir}
%{yast_schemadir}
%license COPYING

%changelog
* Fri Feb 18 2022 kanderssen@suse.com
- Added AutoYaST schema (bsc#1194895)
- 4.3.1
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(fcoe-client) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Thu Feb 20 2020 ancor@suse.com
- Use the correct file names when copying the configuration of the
  FCoE VLANs to the target system at the end of installation
  (related to bsc#1163343).
- 4.2.2
* Mon Aug 26 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.1
* Fri May 31 2019 hellcp@mailbox.org
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Thu Dec 20 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- 4.1.2
* Sun Nov 25 2018 hellcp@mailbox.org
- Provide icon with module (boo#1109310)
- 4.1.1
* Wed Aug 22 2018 dgonzalez@suse.com
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
- Changed dir of COPYING file.
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Wed Mar  7 2018 knut.anderssen@suse.com
- Fix wrong interface name with auto_vlan=yes also during an
  auto-installation (bsc#1078991)
- 3.1.16
* Fri Sep 15 2017 mvidner@suse.com
- Fix wrong interface name with auto_vlan=yes (bsc#1043419)
- 3.1.15
* Tue Jul 26 2016 gs@suse.de
- handle duplicate vlan ids correctly (bsc#988050)
- 3.1.14
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.13
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.12
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.11
* Tue Jun  3 2014 gs@suse.de
- Mark configuration values for translation (bnc #877911)
- 3.1.10
* Tue May 27 2014 gs@suse.de
- Show driver and private flags for all interfaces (improve patch
  for bnc #841170)
- 3.1.9
* Wed May 21 2014 gs@suse.de
- Start/enable services 'lldpad' and 'fcoe' in installed system
- 3.1.8
* Wed May 14 2014 gs@suse.de
- Improve layout of services, configuration and edit dialog,
  use latest Wizard methods,
  enable 'lldpad' and 'fcoe' service in finish script (bnc #877352)
- 3.1.7
* Mon May  5 2014 gs@suse.de
- Add columns for driver and private flags to table of interfaces
  (bnc #841170)
- 3.1.6
* Wed Apr  9 2014 gs@suse.de
- Don't show interfaces not available for network
- 3.1.5
* Fri Mar 28 2014 gs@suse.de
- Adapt start of services (resp. sockets) to systemd
- 3.1.4
* Mon Dec  2 2013 gs@suse.de
- Enhance help text, improve ruby code
- 3.1.3
* Tue Nov 26 2013 gs@suse.de
- Add 'Requires: fcoe-utils' to spec-file
- 3.1.2
* Wed Nov 20 2013 gs@suse.de
- Use new name 'fcoe-utils' when checking for installed package
- 3.1.1
* Thu Sep 26 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Thu Sep 26 2013 gs@suse.de
- Improve ruby code
- version 3.0.2
* Sat Sep 14 2013 gs@suse.de
- Refactoring of ruby code (FcoeClient.rb)
- version 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Jun 20 2013 gs@suse.de
- Allow several VLAN interfaces per network device, including
  special handling of VLAN id 0 (see bnc #813621)
- V 2.23.0
* Wed May 15 2013 gs@suse.de
- Detect FCoE capable interfaces correctly (bnc #813621)
- Write configuration files for VLAN id 0 (bnc #812602)
- Show MAC address (bnc #812601)
- V 2.22.4
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
- V 2.22.3
* Thu Jan 19 2012 gs@suse.de
- Merge SP2 branch to trunk: use improved 'fipvlan' (bnc #728103),
  set DCB_REQUIRED to "no" for Broadcom devices (bnc #728658),
  enable service start of 'lldpad' before enabling 'fcoe',
  don't overwrite BOOTPROTO for underlying interface,
  set default for AUTO_VLAN to "yes" (bnc #724563),
  Call 'fipvlan' with option --link-up (bnc #737683)
- V 2.22.2
* Wed Dec 21 2011 gs@suse.de
- Confirmed license
- 2.22.1
* Wed Nov 16 2011 jsuchome@suse.cz
- merged texts from proofreading
- 2.22.0
* Thu Oct 27 2011 gs@suse.de
- Don't enable service start at boot during installation (is
  enabled at the end), improve warning message
- V 2.21.12
* Thu Oct 20 2011 gs@suse.de
- Add FCoE configuration to group Network Services,
  only log warning if dcbtool fails
- V 2.21.11
* Thu Oct 13 2011 gs@suse.de
- Set default values after removing interface
- V 2.21.10
* Tue Oct 11 2011 gs@suse.de
- Use ini agent to write /etc/fcoe/cfg-ethx files,
  write /etc/sysconfig/network/ifcfg-file for underlying interface
  (bnc #705610),
  destroy FCoE interface before removing it (bnc #719443)
- V 2.21.9
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.8
* Thu Sep 22 2011 gs@suse.de
- Several improvements (add 'Remove Interface', allow to change
  settings before creating FCoE interface, respect AUTO_VLAN) and
  bug-fixes (bnc #705171, bnc #705610, bnc #692403, bnc #710390)
- 2.21.7
* Mon Sep 19 2011 visnov@suse.cz
- removed unneeded import
- 2.21.6
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Fri Jul 22 2011 locilka@suse.cz
- Obsoleted X-KDE-SubstituteUID replaced with xdg-su in Exec in
  desktop files (bnc#540627)
- 2.21.5
* Tue Jul 19 2011 gs@suse.de
- AutoYaST support added
- V 2.21.4
* Tue Jun  7 2011 gs@suse.de
- Bug-fixes for installation workflow (reset network cards, only
  show tabs 'interfaces' and 'configuration', reset modified flag),
  stop services fcoe or lldpad on 'Abort' (if started here)
- V 2.21.3
* Thu May 26 2011 gs@suse.de
- Create VLAN interface and start FCoE during installation, only
  start FCoE in installed system (if VLAN interface exists)
- 'DCB capable' is last column in table of interfaces
- inst_fcoe-client.ycp and fcoe-client_finish.ycp added (needed
  for installation workflow)
- V 2.21.2
* Wed May 18 2011 gs@suse.de
- Main parts of the FCoE configuration are available
  (implementation of feature #311802)
- V 2.21.1
* Tue Apr 19 2011 gs@suse.de
- initial version
- V 2.21.0
